Loading...
Searching...
No Matches
CTaskGoto Class Reference
Inheritance diagram for CTaskGoto:
[legend]

## Public Member Functions

| CTaskGoto (COldObject *object)
bool | EventProcess (const Event &event) override
Error | Start (Math::Vector goal, float altitude, TaskGotoGoal goalMode, TaskGotoCrash crashMode)
Error | IsEnded () override
Public Member Functions inherited from CForegroundTask
| CForegroundTask (COldObject *object)
bool | IsBackground () override final
| Returns true if this task is meant to be run as a background task.
bool | IsPilot () override
| Returns true if you can control the robot while the task is executing.
Public Member Functions inherited from CTask
| CTask (COldObject *object)
virtual bool | IsBusy ()
virtual bool | Abort ()

## Protected Member Functions

CObject * | WormSearch (Math::Vector &impact)
void | WormFrame (float rTime)
CObject * | SearchTarget (Math::Vector pos, float margin)
bool | AdjustTarget (CObject *pObj, Math::Vector &pos, float &distance)
bool | AdjustBuilding (Math::Vector &pos, float margin, float &distance)
bool | GetHotPoint (CObject *pObj, Math::Vector &pos, bool bTake, float distance, float &suppl)
bool | LeakSearch (Math::Vector &pos, float &delay)
void | ComputeRepulse (Math::Point &dir)
void | ComputeFlyingRepulse (float &dir)
int | PathFindingShortcut ()
void | PathFindingStart ()
void | PathFindingInit ()
Error | PathFindingSearch (const Math::Vector &start, const Math::Vector &goal, float goalRadius)
bool | BitmapTestLine (const Math::Vector &start, const Math::Vector &goal)
void | BitmapObject ()
void | BitmapTerrain (const Math::Vector &min, const Math::Vector &max)
void | BitmapTerrain (int minx, int miny, int maxx, int maxy)
bool | BitmapOpen ()
bool | BitmapClose ()
void | BitmapSetCircle (const Math::Vector &pos, float radius)
void | BitmapClearCircle (const Math::Vector &pos, float radius)
void | BitmapSetDot (int rank, int x, int y)
void | BitmapClearDot (int rank, int x, int y)
bool | BitmapTestDot (int rank, int x, int y)
bool | BitmapTestDotIsVisitable (int x, int y)

## Protected Attributes

Math::Vector | m_goal
Math::Vector | m_goalObject
float | m_angle = 0.0f
float | m_altitude = 0.0f
TaskGotoCrash | m_crashMode = TGC_DEFAULT
TaskGotoGoal | m_goalMode = TGG_DEFAULT
TaskGotoPhase | m_phase = TGP_ADVANCE
int | m_try = 0
Error | m_error = ERR_OK
bool | m_bTake = false
float | m_stopLength = 0.0f
float | m_time = 0.0f
Math::Vector | m_pos
bool | m_bWorm = false
bool | m_bApprox = false
float | m_wormLastTime = 0.0f
float | m_lastDistance = 0.0f
bool | m_bmChanged = true
int | m_bmSize = 0
int | m_bmOffset = 0
int | m_bmLine = 0
std::unique_ptr< unsigned char[]> | m_bmArray
std::unique_ptr< int32_t[]> | m_bfsDistances
std::array< std::vector< uint32_t >, NUMQUEUEBUCKETS+1 > | m_bfsQueue
int | m_bfsQueueMin = 0
int | m_bfsQueueCountPushed = 0
int | m_bfsQueueCountPopped = 0
int | m_bfsQueueCountRepeated = 0
int | m_bfsQueueCountSkipped = 0
int | m_bmMinX = 0
int | m_bmMinY = 0
int | m_bmMaxX = 0
int | m_bmMaxY = 0
int | m_bmTotal = 0
int | m_bmIndex = 0
Math::Vector | m_bmPoints [MAXPOINTS+2]
signed char | m_bmIter [MAXPOINTS+2] = {}
int | m_bmIterCounter = 0
CObject * | m_bmCargoObject = nullptr
float | m_bmFinalMove = 0.0f
float | m_bmFinalDist = 0.0f
Math::Vector | m_bmFinalPos
float | m_bmTimeLimit = 0.0f
int | m_bmStep = 0
Math::Vector | m_bmWatchDogPos
float | m_bmWatchDogTime = 0.0f
Math::Vector | m_leakPos
float | m_leakDelay = 0.0f
float | m_leakTime = 0.0f
bool | m_bLeakRecede = false
Protected Attributes inherited from CTask
Gfx::CEngine * | m_engine = nullptr
Gfx::CLightManager * | m_lightMan = nullptr
Gfx::CParticle * | m_particle = nullptr
Gfx::CTerrain * | m_terrain = nullptr
Gfx::CWater * | m_water = nullptr
Gfx::CCamera * | m_camera = nullptr
CRobotMain * | m_main = nullptr
CSoundInterface * | m_sound = nullptr
COldObject * | m_object = nullptr
CProgrammableObject * | m_programmable = nullptr
CMotion * | m_motion = nullptr
CPhysics * | m_physics = nullptr

## Member Function Documentation

## EventProcess()

bool CTaskGoto::EventProcess | ( | const Event & | event | ) |

override virtual

Reimplemented from CTask.

## IsEnded()

Error CTaskGoto::IsEnded | ( |  | ) |

override virtual

Reimplemented from CTask.

The documentation for this class was generated from the following files:

- src/object/task/taskgoto.h
- src/object/task/taskgoto.cpp